Set Fault Config

put/api/accounts/{accountId}/fault-configs/{faultTypeName}

Creates or replaces the configuration of the fault type for the identified account.

Request

Path Parameters

  • accountIdstringrequired

    ID of the account to set the fault config for.

  • faultTypeNamestringrequired

    The name of the fault type to set the configuration for. See List Fault Types endpoint.

Body application/json

  • valuestring

    The value to set for the fault type. Accepts a string, number (as a string), or boolean (as a string), as required by the referenced fault type.

Response

Successful operation.

Body application/json

  • accountIdstring

    The ID of the account the fault config is for.

  • faultTypeNamestring

    The name of the fault type the configuration is for.

  • valuestring

    The value set for the fault config. This is returned as a string, but can represent a string, number, or boolean, depending on the fault type.

  • createdAtstring

    The timestamp when the fault config was created.